Rygel.Database.Cursor.iterator – librygel-db Reference Manual

- Packages

- librygel-db

- Rygel

- Database

- Cursor

- Iterator
- Cursor
- bind
- has_next
- iterator
- next
- throw_if_code_is_error
- throw_if_db_has_error

# iterator

## Description:

public Iterator iterator ()

Return an iterator to the cursor to use with foreach

## Returns:

an iterator wrapping the cursor

Generated by `valadoc`